org.keycloak.models.map.user

## Class UserConsentEntity

- java.lang.Object
- - org.keycloak.models.map.user.UserConsentEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class UserConsentEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGrantedClientScopeId(String scope)`
    `static UserConsentEntity` | `fromModel(UserConsentModel model)`
    `String` | `getClientId()`
    `Long` | `getCreatedDate()`
    `Set<String>` | `getGrantedClientScopesIds()`
    `Long` | `getLastUpdatedDate()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `removeGrantedClientScopesIds(String scopesId)`
    `void` | `setClientId(String clientId)`
    `void` | `setCreatedDate(Long createdDate)`
    `void` | `setGrantedClientScopesIds(Set<String> scopesIds)`
    `void` | `setLastUpdatedDate(Long lastUpdatedDate)`
    `static UserConsentModel` | `toModel(RealmModel realm, UserConsentEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static UserConsentEntity fromModel(UserConsentModel model)

    - #### toModel

          public static UserConsentModel toModel(RealmModel realm,
                                                 UserConsentEntity entity)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getGrantedClientScopesIds

          public Set<String> getGrantedClientScopesIds()

    - #### addGrantedClientScopeId

          public void addGrantedClientScopeId(String scope)

    - #### setGrantedClientScopesIds

          public void setGrantedClientScopesIds(Set<String> scopesIds)

    - #### removeGrantedClientScopesIds

          public void removeGrantedClientScopesIds(String scopesId)

    - #### getCreatedDate

          public Long getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate(Long createdDate)

    - #### getLastUpdatedDate

          public Long getLastUpdatedDate()

    - #### setLastUpdatedDate

          public void setLastUpdatedDate(Long lastUpdatedDate)

Copyright © 2021 JBoss by Red Hat. All rights reserved.